Skip to navigation

Get team member

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

participant_idstringRequiredformat: "uuid"
team_member_idstringRequiredformat: "uuid"

Team member UUID from the list response id

Response

Single team member
idstringOptionalformat: "uuid"

Stable identifier for this team member on this participant. For emailed members this is user_id; for members without an email this is pm_profile_id.

user_idstringOptionalformat: "uuid"
pm_profile_idstring or nullOptionalformat: "uuid"
participant_idstringOptionalformat: "uuid"
first_namestringOptional
last_namestringOptional
emailstring or nullOptionalformat: "email"
Null for contacts added without an email
rolestring or nullOptional
phone_numberstring or nullOptional
notestring or nullOptional
secondary_emailstring or nullOptional
secondary_phone_numberstring or nullOptional
address_line_1string or nullOptional
citystring or nullOptional
statestring or nullOptional
postcodestring or nullOptional
contact_priorityinteger or nullOptional

1 = Primary Contact

permissionslist of objectsOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error